nx=99

file1=dir+'image'+inc_str+'.dat'
file2=dir+'imagei'+inc_str+'.dat'
file3=dir+'imageq'+inc_str+'.dat'
file4=dir+'imageu'+inc_str+'.dat'
file5=dir+'imagev'+inc_str+'.dat'
readdat,file1,nx,data1
readdat,file2,nx,datai
readdat,file3,nx,dataq
readdat,file4,nx,datau
readdat,file5,nx,datav

;ang=0.
ang=135.
data1=rot(data1,ang,/interp,missing=0)
datai=rot(datai,ang,/interp,missing=0)
dataq=rot(dataq,ang,/interp,missing=0)
datau=rot(datau,ang,/interp,missing=0)
datav=rot(datav,ang,/interp,missing=0)
datasave=data1

psig= .0000004       ;count thresshold for plotting pol. vectors
psig1=.000004 ;count threshhold for contour

data1=smooth(datasave,2)
npol=fix(nx/3)
data2=congrid(data1,npol,npol)
datai2=congrid(datai,npol,npol)
dataq2=congrid(dataq,npol,npol)
datau2=congrid(datau,npol,npol)
datav2=congrid(datav,npol,npol)

maxv=max(data1)
;levarr=psig1*10^(.5*findgen(5))
levarr=maxv*10^(-.8*findgen(7))
levarr=reverse(levarr)
p=fltarr(npol,npol)
thet=fltarr(npol,npol)

;pi=3.14159265

for i=0,npol-1 do begin
for j=0,npol-1 do begin
if (datai2(i,j) gt 1.e-6) then p(i,j)=sqrt(dataq2(i,j)^2+datau2(i,j)^2)/datai2(i,j)
if (abs(dataq2(i,j)) gt 1.e-20) then thet(i,j)=0.5*atan(datau2(i,j),dataq2(i,j))
thet(i,j) = thet(i,j)+ang*!pi/180.
;if (thet(i,j) lt 0) then thet(i,j)=thet(i,j)+3.14159265
if (thet(i,j) gt !pi) then thet(i,j) = thet(i,j) - !pi
endfor
endfor

print, 'assuming rmaxe=21200 AU, d=2250 pc'
rmaxe=21200.
d=2250.
pixsize=2.*rmaxe/d/nx
print,'pixel size is then ',pixsize

half=fix(nx/2)
x=pixsize*(findgen(nx)-half)
y=pixsize*(findgen(nx)-half)

contour,data1,x,y,levels=levarr,xrange=[10,-10],yrange=[-10,10],$
;contour,datai,x,y,levels=levarr,xrange=[x(58),-x(58)],$
;xtitle=xtit,$
;ytitle=ytit,$
;charsize=1.8,title=titstr,charthick=3,$
;color=31,$
title='inc = '+inc,xmargin=[7,3],$
xminor=4,yminor=4,xthick=1,ythick=1
;xyouts, 17,15,TOPLAB,charsize=1.8,charthick=3
;xyouts, 17,12,BOTLAB,charsize=1.8,charthick=3
;thick=3

half=fix(npol/2)
pixsizepol=float(nx)/float(npol)*pixsize
xpol=pixsizepol*(findgen(npol)-half)
ypol=pixsizepol*(findgen(npol)-half)

const2=2.
pcount=0
tcount=0
for i=0,npol-1 do begin
for j=0,npol-1 do begin
  j2=j
  i2=i
  if(data2(i2,j2) gt psig and p(i2,j2) ge 1) then pcount=pcount+1
  if(data2(i2,j2) gt psig) then tcount=tcount+1
  if(data2(i2,j2) gt psig and p(i2,j2) le 1.) then begin
  c1=sin(1.*(thet(i2,j2)))
  c2=cos(1.*(thet(i2,j2)))
  xmin=p(i2,j2)*c1*const2
  xmax=-p(i2,j2)*c1*const2
  ymin=-p(i2,j2)*c2*const2
  ymax=p(i2,j2)*c2*const2
  usersym,[xmin,xmax],[ymin,ymax]
;  usersym,[-.707,.707],[-.707,.707]
  plots,xpol(i2),ypol(j2),psym=8,$
;  color=31,$
  thick=3
  endif
endfor
endfor
print,'fraction of data points with P>100%',float(pcount)/float(tcount)
phey=const2*.5
usersym,[-phey,phey],[2,2]
;plots,17,-17,psym=8,thick=3
;plots,17,-17.03,psym=8,thick=3
plots,-3,-9,psym=8,$
;color=31,$
thick=3
xyouts,-4,-8.5,'P=50%',charthick=1,charsize=1.

;write_gif,'plot.gif',tvrd()

end

