	subroutine diskpar

	implicit none

	include 'ds.txt'
	include 'out.txt'
	include 'opacin.txt'

	integer inoam
	real oamax,sinoa,z1cgs,a1,p,c,c0r2h,pi,r2p

	pi=4.0*atan(1.0)
	r2p=2.0*pi


c	calculate density based on input mass
	write(6,*) 'in diskpars'

	z1=zmin
	z15=z1
	write(6,*) 'zmin,z1,z15',zmin,z1,z15
	if(rmaxd.gt.0) then
	  zmax=z1*rmaxd**b
	  oamax=atan2(zmax,rmaxd)
	  oadeg=oamax*180./pi
	  write(6,*) 'oadeg',oadeg,' degrees'
	  sinoa=sin(oamax)
	else
	  zmax=0.
	  oamax=0.
	  oadeg=0.
	  sinoa=0.
	end if
c       for calculating density in cgs
        z1cgs=rstar*rsol*z1
c	calculate density from massd=mass of disk. 
c	= 2*pi*(integral(density*r*dr*dz)).	
	a1=1.-a  
        p=b-a
	if(rmaxd.gt.0) then
c	  c=r2p*rmincgs**2*z1cgs*2.
	  c=r2p*rmincgs*z1cgs*2.      !baw 11/6/98 redefine c so it doesn't overflow
	  if(p.ne.-2) then
c	    rho0=massd*msol*(p+2)/c/(rmaxd**(p+2)-1)
          rho0=massd*msol*(p+2)/c/(rmaxd**(p+2)-1)/rmincgs  !baw 11/6/98
	  else
c	    rho0=massd*msol/c/log(rmaxd)
          rho0=massd*msol/c/log(rmaxd)/rmincgs   !baw 11/6/98
	  end if
	  write(6,*)'rho0 of disk (gm/cm^3)',rho0
c	  opacity in units of rstar**-1 is kappa*rho*rmin.  c0 is multiplier
c	  used in radiative transfer.
	  c0=kappa*rho0*rmincgs
	  if(a.ne.1) then
	    taur=c0/a1*(rmaxd**a1-1.)
	  else
	    taur=c0*log(rmaxd)
	  end if
	else
	  c=0
	  c0=0
	  rho0=0
	  taur=0
	end if
	write(6,*)'c0=kappa*rho0*rmincgs',c0
	write(6,*)'taur at z=0',taur
	if(rmaxd.gt.0.) then
	  tauzmin=kappa*z1cgs*rho0*rmind**p
	  tauzmax=kappa*z1cgs*rho0*rmaxd**p
	  tauz30=kappa*z1cgs*rho0*(30*autors)**p
	  write(6,*) 'tauzmin,tauzmax,tauz30',tauzmin,tauzmax,tauz30
c	  density at rmind,30AU, rmaxd
	  rhomin=rho0*(rmind)**-a
	  rho30=rho0*(30.*autors)**-a
	  rhomax=rho0*(rmaxd)**-a
	  write(6,*)'density at rmind,30au,rmaxd',rhomin,rho30,rhomax
	end if

	return
	end


c	********************************************************

