pro plotpole,psig1,dir,str1,str2,labpin

;nx=199
nx=205

;dir='../'+'run0104/'

file1=strcompress(dir+'peelI'+str2+'.dat')
file2=strcompress(dir+'peelQ'+str2+'.dat')
file3=strcompress(dir+'peelU'+str2+'.dat')
file4=strcompress(dir+'peelV'+str2+'.dat')
print,'file1',file1
nx2=199
readdat,file1,nx2,tmp
print,'max(image)',max(tmp)
;datai=fltarr(207,207)
datai=fltarr(205,205)
datai(3:201,3:201)=tmp
;datai(4:202,4:202)=tmp
;readdat,file1,nx,tmp
;datai=tmp
readdat,file2,nx2,tmp
dataq=fltarr(205,205)
dataq(3:201,3:201)=tmp
;readdat,file2,nx,tmp
;dataq=tmp
readdat,file3,nx2,tmp
datau=fltarr(205,205)
datau(3:201,3:201)=tmp
;readdat,file3,nx,tmp
;datau=tmp
readdat,file4,nx2,tmp
datav=fltarr(205,205)
datav(3:201,3:201)=tmp
;readdat,file4,nx,tmp
;datav=tmp

;ang=0.
;ang=135.
ang=225
datai=rot(datai,ang,/interp,missing=0)
dataq=rot(dataq,ang,/interp,missing=0)
datau=rot(datau,ang,/interp,missing=0)
datav=rot(datav,ang,/interp,missing=0)

;psig= 3.e-0       ;count thresshold for plotting pol. vectors
;psig1=3.e-0 ;count threshhold for contour
;psig= 2.e-8       ;count thresshold for plotting pol. vectors
;psig1=2.e-8 ;count threshhold for contour

psig=psig1

data1=smooth(datai,4)
;datai=smooth(datai,8)
;dataq=smooth(dataq,8)
;datau=smooth(datau,8)
;datav=smooth(datav,8)
npol=(nx/5)
data2=rebin(data1,npol,npol)
datai2=rebin(datai,npol,npol)
dataq2=rebin(dataq,npol,npol)
datau2=rebin(datau,npol,npol)
;data2=congrid(data1,npol,npol,/interp)
;datai2=congrid(datai,npol,npol,/interp)
;dataq2=congrid(dataq,npol,npol,/interp)
;datau2=congrid(datau,npol,npol,/interp)

maxv=max(data1)
levarr=psig1*10^(.4*findgen(5))
print,levarr
;levarr=maxv*10^(-.4*findgen(6))
;levarr=reverse(levarr)
;psig=levarr(0)
p=fltarr(npol,npol)
thet=fltarr(npol,npol)

;pi=3.14159265

for i=0,npol-1 do begin
for j=0,npol-1 do begin
if (datai2(i,j) gt 1.e-15) then p(i,j)=sqrt(dataq2(i,j)^2+datau2(i,j)^2)/datai2(i,j)
if (abs(dataq2(i,j)) gt 1.e-20) then thet(i,j)=0.5*atan(datau2(i,j),dataq2(i,j))
thet(i,j) = thet(i,j)+ang*!pi/180.
;if (thet(i,j) lt 0) then thet(i,j)=thet(i,j)+3.14159265
if (thet(i,j) gt !pi) then thet(i,j) = thet(i,j) - !pi
endfor
endfor

print, 'assuming rmaxe=21200 AU'
rmaxe=21200.
d=2250.
pixsize=2.*rmaxe/nx/d
print,'pixel size is then ',pixsize

half=fix(nx/2)
x=pixsize*(findgen(nx)-half)
y=pixsize*(findgen(nx)-half)

prmax=10.
contour,data1,x,y,levels=levarr,xrange=[-prmax,prmax],yrange=[-prmax,prmax],$
xticks=4,yticks=4,$
xstyle=1,ystyle=1,$
title=str1,$
charsize=1.5,charthick=2,xmargin=[6,3],$
xminor=4,yminor=4,xthick=1,ythick=1,/nodata
;xyouts, 17,15,TOPLAB,charsize=1.8,charthick=3
;xyouts, 17,12,BOTLAB,charsize=1.8,charthick=3
contour,data1,x,y,levels=levarr,/overplot,$
color=100

half=fix(npol/2)
pixsizepol=float(nx)/float(npol)*pixsize
xpol=pixsizepol*(findgen(npol)-half)
ypol=pixsizepol*(findgen(npol)-half)

const2=2.
pcount=0
tcount=0
pmax=0
for i=0,npol-1 do begin
for j=0,npol-1 do begin
  j2=j
  i2=i
  if(data2(i2,j2) gt psig and p(i2,j2) ge 1.) then pcount=pcount+1
  if(data2(i2,j2) gt psig) then tcount=tcount+1
  if(data2(i2,j2) gt psig and p(i2,j2) le 1.) then begin
  if p(i2,j2) gt pmax then pmax=p(i2,j2)
  c1=sin(1.*(thet(i2,j2)))
  c2=cos(1.*(thet(i2,j2)))
  xmin=-p(i2,j2)*c1*const2
  xmax=p(i2,j2)*c1*const2
  ymin=-p(i2,j2)*c2*const2
  ymax=p(i2,j2)*c2*const2
  usersym,[xmin,xmax],[ymin,ymax],thick=2
;  usersym,[-.707,.707],[-.707,.707]
  plots,xpol(i2),ypol(j2),psym=8,$
;  color=31,$
  thick=10
  endif
endfor
endfor
print,'fraction of data points with P>100%',float(pcount)/float(tcount)
phey=const2*.5
usersym,[-phey,phey],[2,2]
;plots,.50*prmax,-.87*prmax,psym=8,$
;;color=31,$
;thick=5
;xyouts,.55*prmax,-.85*prmax,'P=50%',charthick=2,charsize=1.
plots,.63*prmax,0.76*prmax,psym=8,$
thick=5
xyouts,.68*prmax,.8*prmax,'50%',charthick=2,charsize=1.
labp='Pnet='+labpin
;xyouts,.4*prmax,-.92*prmax,labp,charthick=2,charsize=.75
pmax=fix(100*pmax)
labpm=strcompress('Pmax='+string(pmax)+'%',/remove_all)
xyouts,-.92*prmax,-.92*prmax,labpm,charthick=2,charsize=.75

;write_gif,'plot.gif',tvrd()

end

