c      ********************************************************

      subroutine initp_ps

c     called by subroutine disk
c     initialize variables for new photon which scatters in disk
c     for really large envelope, makes approximation of point source.
c     program still set up for emitting from a star, but assume direction
c     is radial.

	implicit none

	include 'ds.txt'
	include 'stokes.txt'
	include 'random.txt'

	real*8 xran,costi,sinti,cospn,phinew
	real*8 check
	real ran2
	character*20 routine
	
c	incident radiation chosen to be unpolarized.
c	can put in a desired polarization in the limb darkening
c	subroutine.
	sip=1.d0
	sqp=0.d0
	sup=0.d0
	svp=0.d0

c	sample cosb,sinb, position on star in latitude.
	xran=ran2(i1)
	cosb=1.d0-2.d0*xran
	cosb=check(cosb,routine)
	sinb=dsqrt(1.d0-cosb**2)

c       assume direction is same as position.  same as assuming it's
c       a point source which we will do eventually.
	cost=cosb
	sint=sinb
	
c       sample azimuthal coord (longitude)
	xran=ran2(i1)
	lp=r2p*xran
	
	phi=lp
	
	sinp=dsin(phi)
	cosp=dcos(phi)

	return
	end
	

c	**********************************************************

